Package org.apache.sling.caconfig.spi

## Class ConfigurationPersistData

- java.lang.Object
- - org.apache.sling.caconfig.spi.ConfigurationPersistData

    @ProviderType
    public final class ConfigurationPersistData
    extends Object

Data for persisting configuration properties.

### Constructor Summary

Constructors
`ConfigurationPersistData​(@NotNull Map<String,​Object> properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConfigurationPersistData` `collectionItemName​(String value)`
`@Nullable String` `getCollectionItemName()`
`@NotNull Map<String,​Object>` `getProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationPersistData

    public ConfigurationPersistData​(@NotNull
                                    @NotNull Map<String,​Object> properties)

Parameters:
  `properties` - Property values

### Method Detail

#### getProperties

    @NotNull
    public @NotNull Map<String,​Object> getProperties()

Returns:
  Property values

#### getCollectionItemName

    @Nullable
    public @Nullable String getCollectionItemName()

Returns:
  Resource collection item name. To be set only for resource collection items.

#### collectionItemName

    public ConfigurationPersistData collectionItemName​(String value)

Parameters:
  `value` - Resource collection item name. To be set only for resource collection items.
Returns:
  this